#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

# import standard library

# import interfaces
from pyramid_mailer.interfaces import IMailer
from zope.schema.interfaces import IVocabularyFactory

# import packages
from zope.interface import provider
from zope.componentvocabulary.vocabulary import UtilityVocabulary
from zope.schema.vocabulary import getVocabularyRegistry


@provider(IVocabularyFactory)
class MailerVocabulary(UtilityVocabulary):
    """Mailer vocabulary"""

    interface = IMailer
    nameOnly = True

getVocabularyRegistry().register('PyAMS mailer utilities', MailerVocabulary)
